import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { PropertyMetadataClass } from './property.metadata.class';
import { ComponentSettingsDialogComponent } from '../component-settings-dialog.component';
export declare const DEFAULT_INPUTS_COMBO_METADATA: string[];
export declare class ComboMetadataComponent extends PropertyMetadataClass implements OnInit, OnDestroy {
    static DEFAULT_INPUTS_COMBO_METADATA: string[];
    onChange: EventEmitter<Object>;
    constructor(settingsDialog: ComponentSettingsDialogComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
